.apearable {
  overflow: hidden;
  transition: color 0s 1.5s;
  position: relative;
  &-shadow {
    width: 0%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    background-color: $c-primary;
    animation: apear 1s ease-out 1s 1 normal forwards;
  }
  .notApear & {
    color: #ffffff00;
    &-shadow {
      animation: unset;
    }
  }
  &--t2 .apearable-shadow {
    animation-timing-function: ease-in-out;
    animation-delay: 1.25s;
  }
}

@-webkit-keyframes apear {
  0% {
    width: 0%;
  }
  50% {
    width: 100%;
    left: 0;
  }
  100% {
    width: 100%;
    left: 100%;
  }
}
